use sqlx::{Pool, Sqlite};

use crate::AppError;

pub struct Account {
    account_id: Option<String>,
}

pub async fn insert_account(id: &str, pool: &Pool<Sqlite>) -> Result<(), AppError> {
    sqlx::query!(
        "
        INSERT INTO accounts (account_id)
        VALUES (?)
    ",
        id
    )
    .execute(pool)
    .await?;
    Ok(())
}

pub async fn get_account(id: &str, pool: &Pool<Sqlite>) -> Result<bool, AppError> {
    let results = sqlx::query_as!(Account, "SELECT * FROM accounts WHERE account_id = ?", id)
        .fetch_all(pool)
        .await?;

    if results.len() == 1 {
        Ok(true)
    } else {
        Ok(false)
    }
}
